Update an email address
curl --request POST \
--url https://api.pocketflows.com/email_addresses/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"reply_to": "<string>",
"username": "<string>"
}
'import requests
url = "https://api.pocketflows.com/email_addresses/{id}"
payload = {
"display_name": "<string>",
"reply_to": "<string>",
"username": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', reply_to: '<string>', username: '<string>'})
};
fetch('https://api.pocketflows.com/email_addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email_address": "<string>",
"display_name": "<string>",
"reply_to": "<string>",
"business": "<string>",
"one_off": true,
"custom_domain": "<string>"
}Email addresses
Update an email address
POST
/
email_addresses
/
{id}
Update an email address
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the email address
Body
application/json
Response
200 - application/json
The updated EmailAddress object
The ID of the email address
The email address
The display name of the email address
The reply-to address
The business associated with this email address
Whether the email address is one-off
The custom domain associated with this email address
⌘I